/// \file TiffRectoVerso.cpp
/// implementation of console application entry point

/***************************************************************************
 *  Copyright (C) 2007 Pascal Corpet
 *  http://corpet.net/Pascal
 *
 *  This file is part of TiffRectoVerso.
 *
 *  TiffRectoVerso is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  TiffRectoVerso is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with TiffRectoVerso; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
***************************************************************************/

#include "TiffFile.h"
#include <tchar.h>

int _tmain(int argc, _TCHAR* argv[])
{
	// check for -s option (split instead of join)
	bool bSplitRectoVerso = argc > 1 && _tcsicmp(argv[1], _T("-s"));

	int firstArg = bSplitRectoVerso?2:1;

	// parse all file passed in arguments
	for (int i = firstArg; i < argc; i++)
	{
		try
		{
			CTiffFile f(argv[i]);
			f.MixRectoAndVerso();
		}
		catch(...)
		{
			// failed on this file, try next one
		}
	}

	return 0;
}

